oracle.xml.util

## Class Queue

- java.lang.Object
- - oracle.xml.util.Queue

    public class Queue
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Queue(int size)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `insert(java.lang.Object o)`
`boolean` `isEmpty()`
`boolean` `isFull()`
`java.lang.Object` `peek()`
`java.lang.Object` `peek(int offset)`
`java.lang.Object` `remove()`
`int` `size()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Queue

    public Queue(int size)

### Method Detail

#### insert

    public void insert(java.lang.Object o)

#### remove

    public java.lang.Object remove()

#### peek

    public java.lang.Object peek()

#### peek

    public java.lang.Object peek(int offset)

#### isEmpty

    public boolean isEmpty()

#### isFull

    public boolean isFull()

#### size

    public int size()

Copyright © 2003, 2020, Oracle and/or its affiliates.